apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: forwot
  annotations: {}
  labels:
    io.thingenious.service: forwot-db
  name: forwot-db
spec:
  replicas: 1
  selector:
    matchLabels:
      io.thingenious.service: forwot-db
  strategy:
    type: Recreate
  template:
    metadata:
      annotations: {}
      labels:
        io.thingenious.service: forwot-db
    spec:
      containers:
        - args:
            - -p
            - "49154"
          env:
            - name: PGDATA
              value: /var/lib/postgresql/data/pgdata/
            - name: POSTGRES_DB
              value: ai4eu-db
            - name: POSTGRES_PASSWORD
              value: "12345678"
            - name: POSTGRES_USER
              value: postgres
          image: postgres:12.2-alpine
          livenessProbe:
            exec:
              command:
                - pg_isready
                - -U
                - postgres
                - -d
                - ai4eu-db
                - -p
                - "49154"
            failureThreshold: 10
            periodSeconds: 60
            timeoutSeconds: 10
          name: forwot-db
          ports:
            - containerPort: 49154
          volumeMounts:
            - mountPath: /var/lib/postgresql/data
              name: forwot-postgres-data
      restartPolicy: Always
      volumes:
        - name: forwot-postgres-data
          persistentVolumeClaim:
            claimName: forwot-postgres-data
